package com.lz.modules.equipment.entity;

import lombok.Data;

import java.util.Date;

/**
* <p>
* 菜单权限表
* </p>*盘点
* @author quyixiao
* @since 2020-08-10
*/


@Data
public class TCountReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //主键id
    private Long id;
    //
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //修改时间
    private Date gmtModified;
    //第几次盘点
    private Integer count;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     *  
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     *  
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 第几次盘点 
     * @return
     */
    public Integer getCount() {
        return count;
    }
    /**
     * 第几次盘点 
     * @param count
     */
    public void setCount(Integer count) {
        this.count = count;
    }

    @Override
    public String toString() {
        return "TCount{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",count=" + count +
                "}";
    }
}